%define name        listen
%define version     0.6.5
%define release     %mkrel 3

Summary:	Listen is a music manager and player for Gnome
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:        GPL
Group:          Sound
URL:            http://www.listen-project.org/
Source:         http://www.listen-project.org/%{name}/%{name}-%{version}.tar.xz
Source1:        listen.desktop
Source2:	listen-16.png
Source3:	listen-32.png
Source4:	listen-48.png
BuildRequires: intltool
BuildRequires: python-devel
BuildRequires: python-musicbrainz2
BuildRequires: python-gpod
BuildRequires: pygtk2.0-devel > 2.6.0
BuildRequires: gnome-python-gtkmozembed
BuildRequires: dbus-python
BuildRequires: libgpod-devel
BuildRequires: gtk2-devel > 2.6.0
BuildRequires: desktop-file-utils
BuildRequires: gstreamer0.10-python >= 0.10.1
BuildRequires: mutagen >= 1.8
BuildRequires: python-daap
BuildRequires: python-sexy
BuildRequires: python-webkitgtk
BuildRequires: python-tunepimp
BuildRequires: python-pyinotify
BuildRequires: python-xlib
BuildRequires: x11-server-xvfb
BuildRoot:   %_tmppath/%name-%version-buildroot
Requires:      python-musicbrainz2
Requires:      python-elementtree
Requires:      python-gpod
Requires:      python-tunepimp > 0.5
Requires:      pygtk2.0-libglade
Requires:      dbus-python
Requires:      gnome-python
Requires:      gnome-python-gtkmozembed
Requires:      gnome-python-canvas
Requires:      gnome-python-extras
Requires:      gnome-python-gtkhtml2
Requires:      python-sexy
Requires:      gstreamer >= 0.10.1
Requires:      gstreamer0.10-alsa
Requires:      gstreamer0.10-gnomevfs
Requires:      gstreamer0.10-python
Requires:      gstreamer0.10-plugins-ugly
Requires:      gstreamer0.10-plugins-good
Requires:      gstreamer0.10-plugins-base
Requires:      mutagen >= 1.8
Requires:      notification-daemon
Requires:      python-xlib >= 0.14
Requires:      python-daap
Requires:      python-webkitgtk
Requires:      python-pyinotify
Requires:      avahi-python
Requires:      pyxdg
Requires:      glibc >= 2.10.1
Requires:      libstdc++6 >= 4.4.1
Requires:	libpython2.6
Obsoletes:     %name < %version


%description
Listen is a music manager and player, written in python for Gnome.

With listen you can:
* Play your favorite songs
* Manage your library
* Manage your ipod
* Make playlists
* Automatically or manually download album covers
* Automatically synchronize album covers with iPod
* Easily burn an audio CD
* Directly get informations from wikipedia when you play a song
* See the lyrics of a song
* Have statistics about your favorite songs, albums or artists
* Listen to web radio
* Submit your songs to Audioscrobbler
* Quick access to last.fm related file

#german
%description -l de
Listen is a music manager and player, written in python for Gnome.

With listen you can:
* Play your favorite songs
* Manage your library
* Manage your ipod
* Make playlists
* Automatically or manually download album covers
* Automatically synchronize album covers with iPod
* Easily burn an audio CD
* Directly get informations from wikipedia when you play a song
* See the lyrics of a song
* Have statistics about your favorite songs, albums or artists
* Listen to web radio
* Submit your songs to Audioscrobbler
* Quick access to last.fm related file

#french
%description -l fr
Listen is a music manager and player, written in python for Gnome.

With listen you can:
* Play your favorite songs
* Manage your library
* Manage your ipod
* Make playlists
* Automatically or manually download album covers
* Automatically synchronize album covers with iPod
* Easily burn an audio CD
* Directly get informations from wikipedia when you play a song
* See the lyrics of a song
* Have statistics about your favorite songs, albums or artists
* Listen to web radio
* Submit your songs to Audioscrobbler
* Quick access to last.fm related file

#spanish
%description -l es
Listen is a music manager and player, written in python for Gnome.

With listen you can:
* Play your favorite songs
* Manage your library
* Manage your ipod
* Make playlists
* Automatically or manually download album covers
* Automatically synchronize album covers with iPod
* Easily burn an audio CD
* Directly get informations from wikipedia when you play a song
* See the lyrics of a song
* Have statistics about your favorite songs, albums or artists
* Listen to web radio
* Submit your songs to Audioscrobbler
* Quick access to last.fm related file

#polish
%description -l pl
Listen is a music manager and player, written in python for Gnome.

With listen you can:
* Play your favorite songs
* Manage your library
* Manage your ipod
* Make playlists
* Automatically or manually download album covers
* Automatically synchronize album covers with iPod
* Easily burn an audio CD
* Directly get informations from wikipedia when you play a song
* See the lyrics of a song
* Have statistics about your favorite songs, albums or artists
* Listen to web radio
* Submit your songs to Audioscrobbler
* Quick access to last.fm related file

#serbian
%description -l sr
Listen is a music manager and player, written in python for Gnome.

With listen you can:
* Play your favorite songs
* Manage your library
* Manage your ipod
* Make playlists
* Automatically or manually download album covers
* Automatically synchronize album covers with iPod
* Easily burn an audio CD
* Directly get informations from wikipedia when you play a song
* See the lyrics of a song
* Have statistics about your favorite songs, albums or artists
* Listen to web radio
* Submit your songs to Audioscrobbler
* Quick access to last.fm related file

#dutch
%description -l nl
Listen is a music manager and player, written in python for Gnome.

With listen you can:
* Play your favorite songs
* Manage your library
* Manage your ipod
* Make playlists
* Automatically or manually download album covers
* Automatically synchronize album covers with iPod
* Easily burn an audio CD
* Directly get informations from wikipedia when you play a song
* See the lyrics of a song
* Have statistics about your favorite songs, albums or artists
* Listen to web radio
* Submit your songs to Audioscrobbler
* Quick access to last.fm related file



%prep
%setup -q

for i in $( find src -name '*.py' ); do
     perl -pi -e 'print "# -*- coding: utf-8 -*-\n"  if $. == 1 ;' $i
done;

%build
# (misc) for import gtk, as gtk requires a X server to be imported
XDISPLAY=$(i=2; while [ -f /tmp/.X$i-lock ]; do i=$(($i+1)); done; echo $i)
# added - nolisten tcp -ac -terminate to fix build issue with mock
%{_prefix}/bin/Xvfb :$XDISPLAY -nolisten tcp -ac -terminate &
export DISPLAY=:$XDISPLAY
xauth add :$XDISPLAY . EE
make %{?_smp_mflags}

%install
rm -rf %buildroot %name.lang
make install PREFIX=%buildroot/%_prefix/

install -m 0755 %{SOURCE1} %{buildroot}%{_datadir}/applications/listen.desktop

mkdir -p %buildroot{%_iconsdir,%_liconsdir,%_miconsdir}
install -m 0644 %{SOURCE2} %{buildroot}%_miconsdir/%{name}.png
install -m 0644 %{SOURCE3} %{buildroot}%_iconsdir/%{name}.png
install -m 0644 %{SOURCE4} %{buildroot}%_liconsdir/%{name}.png



%find_lang %{name}

%clean
rm -rf %{buildroot}

%post
/sbin/ldconfig
%update_menus

%postun
/sbin/ldconfig
%clean_menus

%files
%defattr(-,root,root)
%doc INSTALL gpl.txt README TODO
%{_bindir}/%{name}
%{_libdir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{_liconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_mandir}/man1/%{name}.1*
%{_datadir}/dbus-1/services/org.gnome.Listen.service
%{_datadir}/locale/*

%changelog
* Wed Feb 22 2012 Neal <nealbrks0 at gmail dot com> 0.6.5-3pclos2012
- process

* Tue Feb 21 2012 Sproggy <desproggster at gmail.com> 0.6.5-3pclos2012
- fix mimetyp typo

* Sun Sep 12 2010 Texstar <texstar at gmail.com> 0.6.5-2pclos2010
- rebuild for python

* Sat Aug 21 2010 Ertain <sirius-C at iname.com> 0.6.5-1pclos2010
- 0.6.5

* Mon Oct 12 2009 slick50 <lxgator@gmail.com> 0.6.3-3pclos2010
- rebuild

* Mon Aug 10 2009 slick50 <lxgator@gmail.com> 0.6.3-2pclos2009
- rebuild added pyxdg depends

* Fri Jul 31 2009 slick50 <lxgator@gmail.com> 0.6.3-1pclos2009
- 0.6.3

* Wed May 13 2009 slick50 <lxgator@gmail.com> 0.6.2-1pclos2009
- 0.6.2


